# Class WindowActionBarComponent

- Defined in packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:17

#####
Index

### Constructors

constructor

### Properties

definitions
injector
position

## Constructors

### constructor

- new WindowActionBarComponent(context, injector): WindowActionBarComponent

- #### Parameters

  - context: any
  - injector: Injector

  #### Returns WindowActionBarComponent

  - Defined in packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:22

## Properties

### definitions

definitions: null | ButtonDefinition<any, Action>[] = null

- Defined in packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:19

### injector

injector: Injector

- Defined in packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:22

### position

position: string = 'start'

- Defined in packages/angular/window-system/src/lib/window-action-bar/window-action-bar.component.ts:20